publicación /groups/{groupId}/apps/{appId}/services/{serviceId}/incoming_webhooks

Crear un webhook.

Parámetros de path

aplicación/json

Cuerpo Requerido

The webhook to create.

  • Nombre string Requerido
  • function_source string Requerido
  • respond_result booleano Requerido
  • opciones Objeto
    Ocultar atributos de opciones Mostrar atributos de opciones Objeto
    • secreto string
    • secretAsQueryParam booleano

Respuestas

  • 201

    Successfully created.

POST /groups/{groupId}/apps/{appId}/services/{serviceId}/incoming_webhooks
curl \
 --request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/services/{serviceId}/incoming_webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"string","function_source":"string","respond_result":true,"options":{"secret":"string","secretAsQueryParam":true}}'
Solicitar ejemplos
{
  "name": "string",
  "function_source": "string",
  "respond_result": true,
  "options": {
    "secret": "string",
    "secretAsQueryParam": true
  }
}